using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using Org.Shokai.Util;

namespace GPSTool
{
    public partial class Form1 : Form
    {
        GpsConnector gps;
        TraceForm traceForm;

        public Form1()
        {
            InitializeComponent();

            gps = new GpsConnector();
            traceForm = new TraceForm();
#if DEBUG
            traceForm.Show();
            traceForm.write("---start---");
#endif


            for (int i = 1; i <= 20; i++) // R{{bNXɃACeǉ
            {
                comboBoxSerial.Items.Add("COM" + i);
            }
            comboBoxSerial.SelectedIndex = 0;
        }


        private void buttonConnect_Click(object sender, EventArgs e)
        {
            if (!gps.IsOpen)
            {
                gps.PortName = (String)comboBoxSerial.Items[comboBoxSerial.SelectedIndex];
                gps.BaudRate = 4800;
                gps.connect();
                if (gps.IsOpen)
                {
                    buttonConnect.Text = "ؒf";
                    comboBoxSerial.Enabled = false;
                }
            }
            else
            {
                gps.close();
                if (!gps.IsOpen)
                {
                    buttonConnect.Text = "ڑ";
                    comboBoxSerial.Enabled = true;
                }
            }
        }

        private void buttonMapMove_Click(object sender, EventArgs e)
        {
            String uri = "http://maps.yahoo.com/index.php#mvt=m&maxp=search&trf=0&lon=" + gps.gpsData.lon + "&lat=" + gps.gpsData.lat + "&mag=6";
            webBrowser.Url = new Uri(uri);
            traceForm.write(uri);
            traceForm.write("ܓx:" + gps.gpsData.lon + " ox:" + gps.gpsData.lat);
        }

    }
}